OaIdl.TYPEDESC (JNA API)

com.sun.jna.platform.win32

## Class OaIdl.TYPEDESC

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.OaIdl.TYPEDESC

- Direct Known Subclasses:
    OaIdl.TYPEDESC.ByReference
  Enclosing interface:
    OaIdl

      @Structure.FieldOrder(value={"_typedesc","vt"})
      public static class OaIdl.TYPEDESC
      extends Structure

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `OaIdl.TYPEDESC._TYPEDESC`
    `static class` | `OaIdl.TYPEDESC.ByReference`

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `OaIdl.TYPEDESC._TYPEDESC` | `_typedesc`
    `WTypes.VARTYPE` | `vt`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TYPEDESC()`
    `TYPEDESC(OaIdl.TYPEDESC._TYPEDESC _typedesc, WTypes.VARTYPE vt)`
    `TYPEDESC(Pointer pointer)`

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### _typedesc

          public OaIdl.TYPEDESC._TYPEDESC _typedesc

    - #### vt

          public WTypes.VARTYPE vt

  - ### Constructor Detail

    - #### TYPEDESC

          public TYPEDESC()

    - #### TYPEDESC

          public TYPEDESC(Pointer pointer)

    - #### TYPEDESC

          public TYPEDESC(OaIdl.TYPEDESC._TYPEDESC _typedesc,
                          WTypes.VARTYPE vt)

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.